# KSpigotSound

data class KSpigotSound(sound: Sound, volume: Float, pitch: Float, category: SoundCategory?)
Content copied to clipboard

## Functions

playAt
Link copied to clipboard
fun playAt(loc: Location)
Content copied to clipboard
Plays the sound at the location.
playFor
Link copied to clipboard
fun playFor(player: Player)
Content copied to clipboard
Plays the sound at the location of the player.

## Properties

category
Link copied to clipboard
var category: SoundCategory? = null
Content copied to clipboard
pitch
Link copied to clipboard
var pitch: Float = 1f
Content copied to clipboard
sound
Link copied to clipboard
val sound: Sound
Content copied to clipboard
volume
Link copied to clipboard
var volume: Float = 1f
Content copied to clipboard